package domain

type AlibabaHmMarketingItembuygiftQueryitemsActivitySkuQuery struct {
	/*
	   五道口活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   分页信息     */
	Page *AlibabaHmMarketingItembuygiftQueryitemsBasePageQuery `json:"page,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   需要查询的商品skuCodes     */
	SkuCodes *[]string `json:"sku_codes,omitempty" `
}

func (s *AlibabaHmMarketingItembuygiftQueryitemsActivitySkuQuery) SetActivityId(v int64) *AlibabaHmMarketingItembuygiftQueryitemsActivitySkuQuery {
	s.ActivityId = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftQueryitemsActivitySkuQuery) SetPage(v AlibabaHmMarketingItembuygiftQueryitemsBasePageQuery) *AlibabaHmMarketingItembuygiftQueryitemsActivitySkuQuery {
	s.Page = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftQueryitemsActivitySkuQuery) SetOutActId(v string) *AlibabaHmMarketingItembuygiftQueryitemsActivitySkuQuery {
	s.OutActId = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftQueryitemsActivitySkuQuery) SetSkuCodes(v []string) *AlibabaHmMarketingItembuygiftQueryitemsActivitySkuQuery {
	s.SkuCodes = &v
	return s
}
